## tqsllib 2.2

=== debian/changelog ===
tqsllib (2.2-5) unstable; urgency=low

  * debian packaging:
    - 03-compile-with-fpermissive.patch (Closes: #664938)
    - update 99-update-generated-build-config.patch

 -- Kamal Mostafa <kamal@whence.com>  Thu, 17 May 2012 11:46:48 -0700

tqsllib (2.2-4) unstable; urgency=low

  * debian packaging:
    - do not ship unneeded .la file (Closes: #633211). 
    - supply required rules targets build-{arch,indep}
    - dispose of old debian/tqsqllib-bin.* files

 -- Kamal Mostafa <kamal@whence.com>  Sat, 23 Jul 2011 13:19:17 -0700

tqsllib (2.2-3) unstable; urgency=low

  * 02-missing-certificate-request-error-message.patch: improve error
      message if missing certificate request file [thanks John Mock KD6PAG]
      (Closes: #282697).

 -- Kamal Mostafa <kamal@whence.com>  Thu, 31 Mar 2011 20:51:28 -0700

tqsllib (2.2-2) unstable; urgency=low

  * 00-copy-LICENSE-to-COPYING.patch: create COPYING.
  * 01-remove-custom-package-checks.patch: remove custom configure handling of
    {openssl, expat, zlib} to allow multi-arch libs [thanks Jonathan Marsden
    <jmarsden@fastmail.fm>].
  * 99-update-generated-build-config.patch: autoconf, automake, libtool update.
  * debian packaging:
    - libtqsllib1.symbols: removed
    - rules: build --with-expat; install upstream ChangeLog

 -- Kamal Mostafa <kamal@whence.com>  Sat, 26 Mar 2011 21:18:50 -0700

tqsllib (2.2-1) unstable; urgency=low

  * update to latest upstream release.
  * rename tqsllib1c2a to libtqsllib1 for clean release.
  * update to current debhelper.
  * update to current packaging standards.
  * Add to uploaders list.

 -- Jerry Stueve <k4int@arrl.net>  Mon,  4 Oct 2010 18:30:30 +0000

tqsllib (2.0-10.1) unstable; urgency=low

  * Retiring - remove myself from the uploaders list.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 16 Nov 2009 18:30:30 +0000

tqsllib (2.0-10) unstable; urgency=low

  * tqsllib-dev should depend on tqsllib1c2a.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 24 Mar 2009 15:17:02 +0100

tqsllib (2.0-9) unstable; urgency=low

  * Fix a couple of lintian warnings:
    - call dh_installdeb after calling dh_shlibdeps and dh_makeshlibs.
    - set debhelper compatibility version to 5.
    - update standards version.
  * Fix all compilation warnings, most of them fixed by changing
    'char *' to 'const char *'.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 20 Mar 2009 20:44:33 +0100

tqsllib (2.0-8) unstable; urgency=low

  * Check return value of EVP_VerifyFinal correctly. Closes: #511509.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 17 Jan 2009 18:53:39 +0100

tqsllib (2.0-7) unstable; urgency=low

  * Fix frequency conversion due to locale settings, thanks Fabian Kurz.
    Closes: #462545.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Feb 2008 16:50:35 +0100

tqsllib (2.0-6) unstable; urgency=low

  * Change maintainer to debian-hams group
  * Clean up lintian warnings with regard to debian/rules

 -- Hamish Moffatt <hamish@debian.org>  Wed, 23 Jan 2008 10:34:50 +1100

tqsllib (2.0-5) unstable; urgency=low

  * Update config.{guess,sub} at build-time from autotools-dev;
    update required to support k*BSD (closes: #316269)
  * Add watch file to check for new versions at sourceforge

 -- Hamish Moffatt <hamish@debian.org>  Mon, 20 Mar 2006 08:30:14 +1100

tqsllib (2.0-4) unstable; urgency=low

  * Updated config.xml with latest from ARRL so that new satellites
    AO-51 and VO-52 are included (closes: #339497)
  * Remove tqsllib-bin package, because it only contains an internal
    debug utility

 -- Hamish Moffatt <hamish@debian.org>  Sat, 17 Dec 2005 18:13:30 +1100

tqsllib (2.0-3) unstable; urgency=low

  * Recompile with new g++-4.0_4.0.2-4; library package renamed to
    tqsllib1c2a (closes: #339271)
  * Modified openssl_cert.cpp to be compatible with OpenSSL 0.9.8
    (closes: #337462)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 27 Nov 2005 22:54:24 +1100

tqsllib (2.0-2) unstable; urgency=low

  * Recompile with g++ 4.0; no library name change required because
    the library interface is C only (though the implementation is C++)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 31 Jul 2005 17:22:11 +1000

tqsllib (2.0-1) unstable; urgency=medium

  * New upstream release
    * Fixes compatibility problems with openssl 0.9.7 (closes: #303631)
  * Rework debian/rules for upstream autoconf changes

 -- Hamish Moffatt <hamish@debian.org>  Tue, 26 Apr 2005 23:36:53 +1000

tqsllib (1.4-1) unstable; urgency=low

  * First upload

 -- Hamish Moffatt <hamish@debian.org>  Tue, 21 Oct 2003 17:46:17 +1000
