=== debian/control ===
Source: tqsllib
Section: libs
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Jerry Stueve <k4int@arrl.net>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), libexpat-dev, libssl-dev, zlib1g-dev, libtool, autotools-dev
Homepage: http://sourceforge.net/trustedqsl/
Vcs-cvs: :pserver:anonymous@trustedqsl.cvs.sourceforge.net:/cvsroot/trustedqsl co -P tqsl
Vcs-Browser: http://trustedqsl.cvs.sourceforge.net/trustedqsl

Package: libtqsllib1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tqsllib1c2a, tqsllib1
Replaces: tqsllib1c2a, tqsllib1
Provides: tqsllib1c2a, tqsllib1
Description: QSL signing routines for the Logbook of the World (LoTW)
 A QSL is a confirmation of contact between two amateur radio stations.
 This library provides functions for signing amateur radio QSL data to 
 create tQSLs. tQSLs can be uploaded to the ARRL Logbook of the World 
 project for credit towards amateur radio awards.

Package: tqsllib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libtqsllib1(= ${binary:Version})
Description: QSL signing library development files
 A QSL is a confirmation of contact between two amateur radio stations.
 This library provides functions for signing amateur radio QSL data to 
 create tQSLs. tQSLs can be uploaded to the ARRL Logbook of the World 
 project for credit towards amateur radio awards. This package contains
 the header files required to compile programs which use this library.
