=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	cp /usr/share/misc/config.guess $(CURDIR)
	cp /usr/share/misc/config.sub $(CURDIR)
	./configure --prefix=/usr --with-expat

# Patch the generated libtool to avoid passing -rpath when linking,
# and to explicitly link libraries against the libraries they
# depend on.
	sed < libtool > libtool-2 \
		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool

	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log
	rm -f config.sub config.guess

	dh_clean

build-arch: build
build-indep: build

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Populate the library package
	$(MAKE) DESTDIR=`pwd`/debian/libtqsllib1 install
	cp debian/libtqsllib1/usr/share/doc/ChangeLog \
	    debian/libtqsllib1/usr/share/doc/libtqsllib1/changelog

	# Move files into the -dev package
	mv debian/libtqsllib1/usr/include debian/tqsllib-dev/usr
	mv debian/libtqsllib1/usr/lib/*.a debian/tqsllib-dev/usr/lib
	mv debian/libtqsllib1/usr/lib/*.so debian/tqsllib-dev/usr/lib
	cp debian/libtqsllib1/usr/share/doc/ChangeLog \
	    debian/tqsllib-dev/usr/share/doc/tqsllib-dev/changelog
	cp -a doxygen/html debian/tqsllib-dev/usr/share/doc/tqsllib-dev
	rm -rf debian/tqsllib-dev/usr/share/doc/tqsllib-dev/html/CVS
	# remove cruft dumped directly into /usr/share/doc
	rm debian/libtqsllib1/usr/share/doc/LICENSE
	rm debian/libtqsllib1/usr/share/doc/ChangeLog

	# Remove debug programs
	rm -rf debian/libtqsllib1/usr/bin

	# Remove the unneeded .la file
	rm -rf debian/libtqsllib1/usr/lib/libtqsllib.la

	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
