=== debian/watch ===
version=3
http://sf.net/trustedqsl/tqsllib-(.*)\.tar\.gz
